## class OSGDB_EXPORT osgDB::DynamicLibrary

> DynamicLibrary - encapsulates the loading and unloading of dynamic libraries, typically used for loading ReaderWriter plug-ins

## Inheritance:

### Public Methods

static DynamicLibrary* loadLibrary(const std::string& libraryName)
  returns a pointer to a DynamicLibrary object on successfully opening of library returns NULL on failure
const std::string& getName() const
  return name of library stripped of path
const std::string& getFullName() const
  return name of library including full path to it
HANDLE getHandle() const
  return handle to dso/dll dynamic library itself
PROC_ADDRESS getProcAddress(const std::string& procName)
  return address of function located in library

### Public Members

typedef void* HANDLE
typedef void* PROC_ADDRESS

### Protected Fields

HANDLE _handle
std::string _name
std::string _fullName

### Protected Methods

static HANDLE getLibraryHandle( const std::string& libraryName)
  get handle to library file
DynamicLibrary()
  disallow default constructor
DynamicLibrary(const DynamicLibrary&)
  disallow copy constructor
DynamicLibrary& operator == (const DynamicLibrary&)
  disallow copy operator
DynamicLibrary(const std::string& name, HANDLE handle)
  Disallow public construction so that users have to go through loadLibrary() above which returns NULL on failure, a valid DynamicLibrary object on success
~DynamicLibrary()

## Documentation

> DynamicLibrary - encapsulates the loading and unloading of dynamic libraries, typically used for loading ReaderWriter plug-ins

`typedef void* HANDLE`

`typedef void* PROC_ADDRESS`

`static DynamicLibrary* loadLibrary(const std::string& libraryName)`
  returns a pointer to a DynamicLibrary object on successfully opening of library returns NULL on failure

`const std::string& getName() const`
  return name of library stripped of path

`const std::string& getFullName() const`
  return name of library including full path to it

`HANDLE getHandle() const`
  return handle to dso/dll dynamic library itself

`PROC_ADDRESS getProcAddress(const std::string& procName)`
  return address of function located in library

`static HANDLE getLibraryHandle( const std::string& libraryName)`
  get handle to library file

`DynamicLibrary()`
  disallow default constructor

`DynamicLibrary(const DynamicLibrary&)`
  disallow copy constructor

`DynamicLibrary& operator == (const DynamicLibrary&)`
  disallow copy operator

`DynamicLibrary(const std::string& name, HANDLE handle)`
  Disallow public construction so that users have to go through loadLibrary() above which returns NULL on failure, a valid DynamicLibrary object on success

`~DynamicLibrary()`

`HANDLE _handle`

`std::string _name`

`std::string _fullName`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.